Summarize all survey responses matching the selected filters
const url = 'https://api.vocapable.com/v1/survey-responses/summary';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/survey-responses/summary \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Same filter as the survey-response list. Supports .gte, .lte, .gt, .lt and .in suffixes; comma-separated values mean OR. Pagination does not affect totals.
Responses
Section titled “Responses”Successful Response
All saved responses matching the list filters, independent of pagination.
object
Examplegenerated
{ "total": 1, "complete": 1, "partial": 1, "refused": 1, "scored": 1, "average_score": 1}Validation Error
object
object
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}